
.sideBar{
    width: 420px;
    height: 100vh;
    position: fixed;
    left: -420px;
    background-color: rgb(255, 255, 255);
    z-index: 14;

    display: flex;
    justify-content: center;
}
.sideBarOpening {
    left: 0px;
    transition: 1s;
    -webkit-transition: 1s;
    -moz-transition: 1s;
    background-color: rgb(255, 255, 255);
}
.sideBarClosing {
    transition: 1s;
    -webkit-transition: 1s;
    -moz-transition: 1s;
    background-color: rgb(255, 255, 255);
    left: -420px;
}
.coverImage{
    width: 100%;
    height: 100%;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.662);
    z-index: 12;

    visibility: hidden;
    overflow-x: hidden;
}

.sb-layout{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

    margin: 0px 50px 0px 50px;

    transform: scale(1);
}
.sb-title{
    margin-left: 35px;
    display: flex;
    align-items: center;
}
.sb-inputTitle{
    margin-bottom: 5px;
    margin-top: 20px;
    font-size: 12px;
    font-weight: bold;
}
.sb-inputField{
    width: 230px;
    height: 35px;
    border-radius: 8px;

    padding-left: 10px;
    padding-right: 10px;
}
.sb-anmeldungsbutton{
    margin-top: 30px;
    width: 210px;
    height: 40px;

    background-color: white;
    color: #2f79d3;
    font-weight: bold;
    font-size: 12px;

    border-radius: 20px;
    border-color: #2f79d3;
    border-width: 4px;

    position: relative;
    z-index: 1;

    animation: rackingAnim 8s ease;
    animation-iteration-count:infinite;
}
.sb-anmeldungsbutton:hover{
    color: white;
    cursor: pointer;
}
.sb-anmeldungsbutton:before{
    transition: 0.5s all ease;
    position: absolute;
    top: 0;
    left: 50%;
    right: 50%;
    bottom: 0;
    content: "";
    background-color: #2f79d3;
    border-radius: 10px;
}
.sb-anmeldungsbutton:hover:before{
    transition: 0.5s all ease;
    position: absolute;
    left: 0;
    right: 0;
    opacity: 1;
    z-index: -1;
}
@keyframes rackingAnim {
    0%{
        transform: rotateZ(0);
    }
    85%{
        transform: rotateZ(0deg);
    }
    90%{
        transform: rotateZ(3deg);
    }
    95%{
        transform: rotateZ(-3deg);
    }
    100%{
        transform: rotateZ(0deg);
    }
}


.submit-window{
    width: 100%;
    height: 100%;

    position: absolute;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    background-color: white;
}

.submit-window > img{
    animation-name: popUp;
    animation-duration: .8s;
}

@keyframes popUp {
    0%{
        transform: scale(0);
    }
    60%{
        transform: scale(120%);
    }
    100%{
        transform: scale(100%);
    }
}


@media(max-width: 800px){
    .sb-layout{
        padding: 5vh 0;
    }
    .sb-title{
        margin-left: 15px;
        display: flex;
        align-items: center;
    }

    .sideBar{
        width: 100%;
        height: 100vh;
        position: fixed;
        left: -100%;
        background-color: rgb(255, 255, 255);
        z-index: 14;
    
        display: flex;
    }
    .sideBarOpening {
        left: calc(0%);
        transition: 1s;
        -webkit-transition: 1s;
        -moz-transition: 1s;
        background-color: rgb(255, 255, 255);
    }
    .sideBarClosing {
        transition: 1s;
        -webkit-transition: 1s;
        -moz-transition: 1s;
        background-color: rgb(255, 255, 255);
        left: -100%;
    }
}
